#ifndef CPOINT_H
#define CPOINT_H
#include <cmath>
#include <ostream>
class CPoint
{
public:
    CPoint(int=0,int=0,int=0);
    void move(int,int=0,int=0);
    void multiply(int,int=1,int=1);
    int getDistance()const;
    int getDistance(const CPoint)const;
    bool operator==(const CPoint)const;
    int x,y,z;
    friend std::ostream& operator<<(std::ostream&, const CPoint);
    friend std::istream& operator>>(std::istream&,CPoint);
};

#endif // CPOINT_H
